### Function

# Gimp flags_set_value_descriptions

since: 2.2

#### Declaration [src]

    void
    gimp_flags_set_value_descriptions (
      GType flags_type,
      const GimpFlagsDesc* descriptions
    )

#### Description [src]

Sets the array of human readable and translatable descriptions and help texts for flags values.

Available since: 2.2

#### Parameters

`flags_type`

  Type: `GType`

  A `GType`.

`descriptions`

  Type: `GimpFlagsDesc`

  A `NULL` terminated constant static array of `GimpFlagsDesc`.

  The data is owned by the caller of the function.